"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assertNever = assertNever;
exports.fail = fail;
exports.assert = assert;
exports.assertAndReturn = assertAndReturn;
exports.assertIsString = assertIsString;
const error_1 = require("./error");
const type_guards_1 = require("./type-guards");
function assertNever(value) {
    throw new Error("Illegal value: " + value);
}
function fail(message) {
    throw (0, error_1.createError)(message);
}
function assert(value, message) {
    if (value != null) {
        return;
    }
    fail(message);
}
function assertAndReturn(value, message) {
    assert(value, message);
    return value;
}
function assertIsString(value, message) {
    assert((0, type_guards_1.isString)(value), message);
}
