"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tagsToOptions = tagsToOptions;
exports.isExclusivelySuiteConfiguration = isExclusivelySuiteConfiguration;
exports.isNotExclusivelySuiteConfiguration = isNotExclusivelySuiteConfiguration;
exports.hasExclusivelySuiteConfiguration = hasExclusivelySuiteConfiguration;
const ast_1 = require("./ast");
const tag_parser_1 = require("./tag-parser");
const constants_1 = require("../constants");
function tagsToOptions(tags) {
    return (0, ast_1.collectTagNames)(tags)
        .filter(tag_parser_1.looksLikeOptions)
        .map(tag_parser_1.tagToCypressOptions);
}
function isExclusivelySuiteConfiguration(entry) {
    // TODO: Remove type cast once support for v10 is removed.
    return entry[0] === constants_1.TEST_ISOLATION_CONFIGURATION_OPTION;
}
function isNotExclusivelySuiteConfiguration(entry) {
    // TODO: Remove type cast once support for v10 is removed.
    return entry[0] !== constants_1.TEST_ISOLATION_CONFIGURATION_OPTION;
}
function hasExclusivelySuiteConfiguration(config) {
    return Object.keys(config).includes(constants_1.TEST_ISOLATION_CONFIGURATION_OPTION);
}
